build.junction.tree {bnstruct} | R Documentation

## build a JunctionTree.

### Description

Starting from the adjacency matrix of the directed acyclic graph of the network contained in an InferenceEngine, build a JunctionTree for the network and store it into an InferenceEngine.

### Usage

    build.junction.tree(object, ...)

    ## S4 method for signature 'InferenceEngine'
    build.junction.tree(object, ...)

### Arguments

`object` | an `InferenceEngine` object.
`...` | potential further arguments for methods.

### See Also

InferenceEngine

### Examples

    ## Not run:
    dataset <- BNDataset("file.header", "file.data")
    net <- BN(dataset)
    eng <- InferenceEngine()
    eng <- build.junction.tree(eng)

    ## End(Not run)

[Package bnstruct version 1.0.6 Index]